Skip to main content
GET
Typescript (SDK)

Authorizations

Syllable-API-Key
string
header
required

Query Parameters

include_deleted
boolean
default:false

If true, include soft-deleted members in the list. Default excludes them.

response_format
enum<string>
default:normalized

Directory response format: normalized (default) strips @hours and formats times; raw returns stored @hours values.

Available options:
normalized,
raw
page
integer | null
default:0

Page number (0-based)

Required range: x >= 0
limit
integer
default:25

Items per page

Required range: x >= 0
search_fields
enum<string>[]

Fields to search; aligns with search_field_values

Available options:
id,
name,
name_exact,
type,
extensions,
contact_tags,
created_at,
updated_at,
deleted_at,
created_by
search_field_values
string[]

Values for search_fields in matching order

order_by
enum<string> | null

Field to order results by

Available options:
id,
name,
name_exact,
type,
extensions,
contact_tags,
created_at,
updated_at,
deleted_at,
created_by
order_by_direction
enum<string> | null

Direction to order results The direction in which to order list results, either ascending or descending.

Available options:
asc,
desc
fields
enum<string>[] | null

Fields to include in response

Available options:
id,
name,
name_exact,
type,
extensions,
contact_tags,
created_at,
updated_at,
deleted_at,
created_by
start_datetime
string | null

Start datetime for filtering results

end_datetime
string | null

End datetime for filtering results

Response

Successful Response

items
DirectoryMember · object[]
required

List of items returned from the query

page
integer
required

The page number of the results (0-based)

Example:

0

page_size
integer
required

The number of items returned per page

Example:

25

total_pages
integer | null

The total number of pages of results given the indicated page size

Example:

4

total_count
integer | null

The total number of items returned from the query

Example:

100